# Derived values
%define module libwww
%define perlver %(rpm -q perl --queryformat '%%{version}' 2>/dev/null)

Summary: Perl module %{module}
Name: perl-libwww
Version: 5.803
Release: 4tr
License: distributable
Group: Trustix Official
Source0: http://search.cpan.org/CPAN/authors/id/G/GA/GAAS/libwww-perl-5.803.tar.gz
Url: http://www.cpan.org
BuildRoot: /var/tmp/%{name}-buildroot-%(id -nu)/
BuildRequires:  perl
Requires:       perl = %{perlver}
Provides:       %{module} = %{version}

%define siteperl /usr/lib/perl5/site_perl/%{perlver}

%description
%{module} module from CPAN for perl

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n %{module}-perl-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL -n PREFIX=$RPM_BUILD_ROOT%{_prefix}
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
%{makeinstall}

find $RPM_BUILD_ROOT -name \*.pod -o -name .packlist | xargs rm

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

# Nuke these as they add depencencies
rm -f $RPM_BUILD_ROOT%{siteperl}/HTTP/Cookies/Microsoft.pm
rm -f $RPM_BUILD_ROOT%{siteperl}/LWP/Authen/Ntlm.pm
rm -f $RPM_BUILD_ROOT%{siteperl}/LWP/Protocol/GHTTP.pm

%clean 
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc AUTHORS Changes README README.SSL
%{siteperl}/*.pm
%{siteperl}/Bundle
%{siteperl}/File
%{siteperl}/HTML
%{siteperl}/HTTP
%{siteperl}/LWP
%{siteperl}/Net
%{siteperl}/WWW
%{_mandir}/man3/*

%changelog
* Mon Jun 06 2005 Ajith Thampi <ajith at comodo dot com> 5.803-4tr
- Rebuilt on perl-5.8.7
			
* Fri Mar 18 2005 Hasher Jamaludeen <hasher at comodo dot com> 5.803-2tr
- Rebuilt.

* Tue Mar  8 2005 Erlend Midttun <erlendbm at trustix dot org> 5.803-1tr
- New package.

